<?php


return  
    [
        'model' => [
            'model' => \Erp\Master\Models\Student::class,
            'table' => 'erp_master_students',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['StudentID',  'FirstName',  'LastName',  'DateOfBirth',  'Gender',  'Email',  'PhoneNumber',  'RegistrationDate'],
            'translatables' => [],
            'upload_folder' => 'master/student',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "StudentID", 
                "type" => "text", 
                "label" => 'master::student.label.StudentID', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "FirstName", 
                "type" => "text", 
                "label" => 'master::student.label.FirstName', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "LastName", 
                "type" => "text", 
                "label" => 'master::student.label.LastName', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "DateOfBirth", 
                "type" => "text", 
                "label" => 'master::student.label.DateOfBirth', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "Gender", 
                "type" => "text", 
                "label" => 'master::student.label.Gender', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "Email", 
                "type" => "text", 
                "label" => 'master::student.label.Email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "PhoneNumber", 
                "type" => "text", 
                "label" => 'master::student.label.PhoneNumber', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "RegistrationDate", 
                "type" => "text", 
                "label" => 'master::student.label.RegistrationDate', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'StudentID',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'master::student.label.StudentID',
                "placeholder" => 'master::student.placeholder.StudentID',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'FirstName',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'master::student.label.FirstName',
                "placeholder" => 'master::student.placeholder.FirstName',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'LastName',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'master::student.label.LastName',
                "placeholder" => 'master::student.placeholder.LastName',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'DateOfBirth',
                "element" => 'package::package.formcontrols.DATE',
                "type" => 'package::package.formcontrols.DATE',
                "label" => 'master::student.label.DateOfBirth',
                "placeholder" => 'master::student.placeholder.DateOfBirth',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'Gender',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'master::student.label.Gender',
                "placeholder" => 'master::student.placeholder.Gender',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'Email',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'master::student.label.Email',
                "placeholder" => 'master::student.placeholder.Email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'PhoneNumber',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'master::student.label.PhoneNumber',
                "placeholder" => 'master::student.placeholder.PhoneNumber',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'RegistrationDate',
                "element" => 'package::package.formcontrols.DATETIME',
                "type" => 'package::package.formcontrols.DATETIME',
                "label" => 'master::student.label.RegistrationDate',
                "placeholder" => 'master::student.placeholder.RegistrationDate',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'master/student/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'master/student/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'master/student',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'master/student',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'master/student',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'master/student',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'master::student.label.created_at',
            'name' => 'master::student.label.name',
            'status' => 'master::student.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "master::student.groups.main",
                'group' => "main.main",
                'title' => "master::student.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "master::student.groups.details",
                'group' => "main.details",
                'title' => "master::student.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "master::student.groups.images",
                'group' => "main.images",
                'title' => "master::student.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "master::student.groups.settings",
                'group' => "main.settings",
                'title' => "master::student.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Erp',
            'package' => 'Master',
            'module' => 'Student',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Erp\Master\Models\Student::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'master::student.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['master.student.copy', 'master.student.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'master::student.label.count',
                        "placeholder" => 'master::student.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'master::student.label.comment',
                        "placeholder" => 'master::student.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'master::student.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'master::student.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
