<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateErpMasterStudentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: erp_master_students
         */
        Schema::create('erp_master_students', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.INT('StudentID')->nullable();
            $table->package::package.fieldtype.VARCHAR('FirstName')->nullable();
            $table->package::package.fieldtype.VARCHAR('LastName')->nullable();
            $table->package::package.fieldtype.DATE('DateOfBirth')->nullable();
            $table->package::package.fieldtype.VARCHAR('Gender')->nullable();
            $table->package::package.fieldtype.VARCHAR('Email')->nullable();
            $table->package::package.fieldtype.VARCHAR('PhoneNumber')->nullable();
            $table->package::package.fieldtype.DATETIME('RegistrationDate')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('erp_master_students');
    }
}
