<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for student in master package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  student module in master package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Student',
    'names' => 'Students',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Students',
        'sub' => 'Students'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'StudentID'                  => 'Please select StudentID',
        'FirstName'                  => 'Please select FirstName',
        'LastName'                   => 'Please select LastName',
        'DateOfBirth'                => 'Please select DateOfBirth',
        'Gender'                     => 'Please select Gender',
        'Email'                      => 'Please select Email',
        'PhoneNumber'                => 'Please select PhoneNumber',
        'RegistrationDate'           => 'Please select RegistrationDate',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'StudentID'                  => 'StudentID',
        'FirstName'                  => 'FirstName',
        'LastName'                   => 'LastName',
        'DateOfBirth'                => 'DateOfBirth',
        'Gender'                     => 'Gender',
        'Email'                      => 'Email',
        'PhoneNumber'                => 'PhoneNumber',
        'RegistrationDate'           => 'RegistrationDate',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
