<?php


namespace Erp\Master\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait StudentReport
{

    /**
     * Determine if the given user can approve the given student.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('master.student.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given student.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('master.student.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given student.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('master.student.report.download')) {
            return true;
        }

        return false;
    }
}
