<?php

namespace Erp\Master\Policies;

use Erp\Master\Models\Student;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait StudentWorkflow
{

    /**
     * Determine if the given user can approve the given student.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Student $student)
    {
        if ($user->canDo('master.student.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given student.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Student $student)
    {
        if ($user->canDo('master.student.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given student.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Student $student)
    {
        if ($user->canDo('master.student.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given student.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Student $student)
    {
        if ($user->canDo('master.student.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given student.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Student $student)
    {
        if ($user->canDo('master.student.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given student.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Student $student)
    {
        if ($user->canDo('master.student.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given student.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Student $student)
    {
        if ($user->canDo('master.student.reject')) {
            return true;
        }

        return false;
    }

}
