<?php

namespace Erp\Master\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Erp\Master\Events\MasterAction;
use Erp\Master\Events\MasterWorkflow;
use Erp\Master\Listeners\MasterAction as MasterActionListener;
use Erp\Master\Listeners\MasterWorkflow as MasterWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        MasterAction::class => [
            MasterActionListener::class,
        ],
        MasterWorkflow::class => [
            MasterWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
